Description

Using the new symbology with rule based rendering, symbol levels are ignored

Step to reproduce: have some roads with two layers for the symbols.

Click on "Symbol levels". Check "Activate symbol levels". Define levels.

Click OK, then apply. Symbol levels are not applied.

------------------------------------------

Related bug: Just after defining symbol levels and clicking apply:

Click on "Symbol levels" again, levels defined are still there. 

Click OK; click OK again to close the layer property.

Click on "Symbol levels". They are gone.

History

#1 - 2010-09-29 02:05 PM - Mayeul Kauffmann

Same bug as on version 1.5.0 tested today on latest trunk version 1.6.0

#2 - 2010-10-03 11:15 PM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to duplicate

This is addressed in patch #2832

#3 - 2011-03-16 04:39 PM - Mayeul Kauffmann

- Status changed from Closed to Feedback

- Resolution deleted (duplicate)

Hi, this has never been solved and was closed by mistake (the following comment acknowledged that symbol levels are ignored for rule based rendering:

http://trac.osgeo.org/qgis/ticket/2832#comment:7 )

And in fact, symbol levels are still ignored. As I wrote in the mailing list, for now, all NG renderers (Single symbol, categorized, graduated) have a working

"Symbol level" button, except the rule-based renderer (which has a non-working) button ; the patch at #3222 will give similar behaviour on all renderers.

For the moment we have a button that does nothing.

jctull is correct here: http://trac.osgeo.org/qgis/ticket/2832#comment:11 : "We still don't get the symbol levels"

Reference to discussion:

http://osgeo-org.1803224.n2.nabble.com/symbol-levels-in-rule-based-rendering-tt6081768.html#a6113136
http://osgeo-org.1803224.n2.nabble.com/symbol-levels-in-rule-based-rendering-tt6081768.html#a6092502#none

#4 - 2011-04-16 12:26 PM - Mayeul Kauffmann

Patch available with ticket #3222 at: 

http://trac.osgeo.org/qgis/attachment/ticket/3222/patch_on_r15676-rbr_symbol-levels_reordering_1st-rule_buttons.diff

#5 - 2011-06-16 02:05 PM - Anita Graser

- Priority changed from Low to Normal

#6 - 2011-08-02 02:06 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

Confirmed here: can we apply the patch?

#7 - 2011-08-02 02:06 AM - Paolo Cavallini

- Pull Request or Patch supplied changed from No to Yes

#8 - 2011-09-09 09:47 PM - mattwigway .

It's still in 1.7.0-5 RPM from Fedora Project; is it in trunk?

#9 - 2011-09-12 12:39 PM - Mayeul Kauffmann

- Target version changed from Version 1.7.0 to Version 2.0.0

Hi,

This is (mostly) solved in QGIS 1.7.0 since this:

https://github.com/qgis/Quantum-GIS/pull/7

This is not yet in master.

#10 - 2011-09-15 05:51 PM - Nathan Woodrow

Can we close this now?  The same stuff from https://github.com/qgis/Quantum-GIS/pull/7 is now in master.

#11 - 2011-09-16 11:16 AM - Mayeul Kauffmann

Hi,

I wrote "mostly" solved as the patch only  partly solves the issue: it is still impossible to have symbol levels and more than the first matching rule.

Mayeul

#12 - 2012-01-28 03:57 PM - Giovanni Manghi

mayeul kauffmann wrote:
Hi,

I wrote "mostly" solved as the patch only  partly solves the issue: it is still impossible to have symbol levels and more than the first matching rule.

Mayeul

Do the latest work by Martin on the rule based renderer fix definitely this issue?

#13 - 2012-01-29 11:57 AM - Mayeul Kauffmann

- Status changed from Feedback to Closed

Issue solved, thanks Martin!

#14 - 2012-01-29 11:58 AM - Mayeul Kauffmann

- Resolution set to fixed

- Pull Request or Patch supplied changed from Yes to No
